<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <include
        android:id="@+id/titleBarLayout"
        layout="@layout/include_sub_base_title" />

    <include layout="@layout/include_line_view" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:padding="@dimen/dp_10">

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    style="@style/textViewStyle"
                    android:text="案卷编号" />

                <TextView
                    android:id="@+id/caseNumberView"
                    style="@style/detailTextViewStyle" />
            </RelativeLayout>

            <include layout="@layout/include_line_view" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    style="@style/textViewStyle"
                    android:text="信息来源" />

                <TextView
                    android:id="@+id/caseResourceView"
                    style="@style/detailTextViewStyle" />
            </RelativeLayout>

            <include layout="@layout/include_line_view" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    style="@style/textViewStyle"
                    android:text="上报人员" />

                <TextView
                    android:id="@+id/caseCreatorView"
                    style="@style/detailTextViewStyle" />
            </RelativeLayout>

            <include layout="@layout/include_line_view" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    style="@style/textViewStyle"
                    android:text="案卷类型" />

                <TextView
                    android:id="@+id/caseTypeView"
                    style="@style/detailTextViewStyle" />
            </RelativeLayout>

            <include layout="@layout/include_line_view" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    style="@style/textViewStyle"
                    android:text="案卷大类" />

                <TextView
                    android:id="@+id/caseLargeTypeView"
                    style="@style/detailTextViewStyle" />
            </RelativeLayout>

            <include layout="@layout/include_line_view" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    style="@style/textViewStyle"
                    android:text="案卷小类" />

                <TextView
                    android:id="@+id/caseSmallTypeView"
                    style="@style/detailTextViewStyle" />
            </RelativeLayout>

            <include layout="@layout/include_line_view" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    style="@style/textViewStyle"
                    android:text="社\u3000\u3000区" />

                <TextView
                    android:id="@+id/caseCommunityView"
                    style="@style/detailTextViewStyle" />
            </RelativeLayout>

            <include layout="@layout/include_line_view" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    style="@style/textViewStyle"
                    android:text="案卷地点" />

                <TextView
                    android:id="@+id/casePlaceView"
                    style="@style/detailTextViewStyle"
                    android:layout_toStartOf="@id/locationMapView" />

                <ImageView
                    android:id="@+id/locationMapView"
                    style="@style/rightImageStyle"
                    android:background="@drawable/ic_map" />
            </RelativeLayout>

            <include layout="@layout/include_line_view" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    style="@style/textViewStyle"
                    android:text="案卷情况" />

                <TextView
                    android:id="@+id/caseSituationView"
                    style="@style/detailTextViewStyle" />
            </RelativeLayout>

            <include layout="@layout/include_line_view" />

            <TextView
                style="@style/textViewStyle"
                android:layout_height="@dimen/itemLayoutHeight"
                android:text="案卷图片" />

            <GridView
                android:id="@+id/imageGridView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="@dimen/dp_10"
                android:layout_marginBottom="@dimen/dp_10"
                android:horizontalSpacing="@dimen/dp_3"
                android:nestedScrollingEnabled="false"
                android:numColumns="3"
                android:scrollbars="none" />

            <include layout="@layout/include_line_view" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    style="@style/textViewStyle"
                    android:text="案卷录音" />

                <com.pengxh.androidx.lite.widget.audio.AudioPlayerView
                    android:id="@+id/audioPlayerView"
                    style="@style/audioPlayerViewStyle"
                    android:background="@drawable/bg_audio_view" />
            </RelativeLayout>

            <include layout="@layout/include_line_view" />

            <TextView
                style="@style/textViewStyle"
                android:layout_height="@dimen/itemLayoutHeight"
                android:text="案卷视频" />

            <cn.jzvd.JzvdStd
                android:id="@+id/videoPlayerView"
                android:layout_width="match_parent"
                android:layout_height="200dp"
                android:layout_marginHorizontal="@dimen/dp_10"
                android:visibility="gone" />

            <include layout="@layout/include_line_view" />

            <TextView
                style="@style/textViewStyle"
                android:layout_height="@dimen/itemLayoutHeight"
                android:text="处理图片" />

            <GridView
                android:id="@+id/handleGridView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="@dimen/dp_10"
                android:layout_marginBottom="@dimen/dp_10"
                android:horizontalSpacing="@dimen/dp_3"
                android:nestedScrollingEnabled="false"
                android:numColumns="3"
                android:scrollbars="none" />

            <include layout="@layout/include_line_view" />

            <RelativeLayout
                android:id="@+id/caseOptTypeLayout"
                style="@style/itemLayoutStyle">

                <TextView
                    style="@style/textViewStyle"
                    android:text="操作类型" />

                <TextView
                    android:id="@+id/optTypeView"
                    style="@style/selectTextViewStyle"
                    android:layout_toStartOf="@id/i"
                    android:hint="请选择" />

                <ImageView
                    android:id="@+id/i"
                    style="@style/rightImageStyle" />
            </RelativeLayout>

            <include layout="@layout/include_line_view" />

            <RelativeLayout
                android:id="@+id/casePersonLayout"
                style="@style/itemLayoutStyle"
                android:visibility="gone">

                <TextView
                    style="@style/textViewStyle"
                    android:text="选择人员" />

                <TextView
                    android:id="@+id/caseHandlePersonView"
                    style="@style/selectTextViewStyle"
                    android:layout_toStartOf="@id/iii"
                    android:hint="请选择" />

                <ImageView
                    android:id="@+id/iii"
                    style="@style/rightImageStyle" />
            </RelativeLayout>

            <View
                android:id="@+id/personLine"
                android:layout_width="match_parent"
                android:layout_height="@dimen/lineViewSize"
                android:background="@color/mainBackColor"
                android:visibility="gone" />

            <RelativeLayout
                android:id="@+id/commonTipsLayout"
                style="@style/itemLayoutStyle">

                <TextView
                    style="@style/textViewStyle"
                    android:text="处理意见" />

                <TextView
                    android:id="@+id/commonTipsView"
                    style="@style/selectTextViewStyle"
                    android:layout_toStartOf="@id/ii"
                    android:hint="请选择" />

                <ImageView
                    android:id="@+id/ii"
                    style="@style/rightImageStyle" />
            </RelativeLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>

    <Button
        android:id="@+id/submitButton"
        style="@style/MainButtonStyle"
        android:layout_marginHorizontal="@dimen/dp_10"
        android:layout_marginVertical="@dimen/dp_20"
        android:text="提交" />
</LinearLayout>